## org.opengis.referencing.operation
Interface Transformation

All Superinterfaces:
  CoordinateOperation, IdentifiedObject, Operation, SingleOperation

    @UML(identifier="CC_Transformation",
         specification=ISO_19111)
    public interface Transformation

extends Operation

An operation on coordinates that usually includes a change of Datum. The parameters of a coordinate transformation are empirically derived from data containing the coordinates of a series of points in both coordinate reference systems. This computational process is usually "over-determined", allowing derivation of error (or accuracy) estimates for the transformation. Also, the stochastic nature of the parameters may result in multiple (different) versions of the same coordinate transformation.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `Conversion`

Field Summary

Fields inherited from interface CoordinateOperation
`COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, POSITIONAL_ACCURACY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`String` `getOperationVersion()` Version of the coordinate transformation (i.e., instantiation due to the stochastic nature of the parameters).
`CoordinateReferenceSystem` `getSourceCRS()` Returns the source CRS.
`CoordinateReferenceSystem` `getTargetCRS()` Returns the target CRS.

Methods inherited from interface Operation
`getMethod, getParameterValues`

Methods inherited from interface CoordinateOperation
`getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getPositionalAccuracy, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getSourceCRS

    @UML(identifier="sourceCRS",
         obligation=MANDATORY,
         specification=ISO_19111)
    CoordinateReferenceSystem getSourceCRS()

  Returns the source CRS.

  Specified by:
    `getSourceCRS` in interface `CoordinateOperation`
  Returns:
    The source CRS (never `null`).

### getTargetCRS

    @UML(identifier="targetCRS",
         obligation=MANDATORY,
         specification=ISO_19111)
    CoordinateReferenceSystem getTargetCRS()

  Returns the target CRS.

  Specified by:
    `getTargetCRS` in interface `CoordinateOperation`
  Returns:
    The target CRS (never `null`).

### getOperationVersion

    @UML(identifier="operationVersion",
         obligation=MANDATORY,
         specification=ISO_19111)
    String getOperationVersion()

  Version of the coordinate transformation (i.e., instantiation due to the stochastic nature of the parameters). This attribute is mandatory in a Transformation.

  Specified by:
    `getOperationVersion` in interface `CoordinateOperation`
  Returns:
    The coordinate operation version.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.